window.addEventListener('DOMContentLoaded', event => {
    document.getElementById('signin-form').addEventListener('submit', function(e) {
        e.preventDefault();

        let card = document.getElementById("resp-msg");
        card.style.display = 'none';

        let username = document.getElementById("user").value;
        let password = document.getElementById("pw").value;

        fetch('/signin', {
            method: 'POST',
            headers: {
                'Content-Type': 'application/json',
            },
            body: JSON.stringify({
                username,
                password
            }),
        })
        .then((response) => {
            if (response.status == 200) {
                window.location = "/dashboard";
                return;
            }
            else if (response.status == 400) {
                card.innerHTML = 'Username does not exist!';
            }
            else if (response.status == 401) {
                card.innerHTML = 'Invalid credentials supplied!';
            }
            else {
                card.innerHTML = 'Something went wrong, please try again!';
            }
            card.style.display = 'block';
        })
        .catch((error) => {
            card.innerHTML = error;
            card.style.display = 'block';
        });
    });
});